## org.biojava.bio.seq.ragbag
Class RagbagMap.MapElement

    java.lang.Object
      org.biojava.bio.seq.ragbag.RagbagMap.MapElement

Enclosing class:
  RagbagMap

public class RagbagMap.MapElement
extends java.lang.Object

class that represents a single mapping in mapFile

Method Summary
`RangeLocation` `getDstLocation()`
`java.lang.String` `getFilename()`
`java.lang.String` `getRef()`
`RangeLocation` `getSrcLocation()`
`StrandedFeature.Strand` `getStrand()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getRef

    public java.lang.String getRef()

### getFilename

    public java.lang.String getFilename()

### getSrcLocation

    public RangeLocation getSrcLocation()

### getDstLocation

    public RangeLocation getDstLocation()

### getStrand

    public StrandedFeature.Strand getStrand()